function genHTMLNavbar(filename, sourcePath, destPath) {
	if (filename == "-" || filename == "/dev/stdout/")
		return ""

	filename = resolvePath(filename)

	dirname = getDirname(filename)

	return sprintf("<nav id='navbar'>\n\
			<a href='%s'>home</a> | \n\
			<a href='%s'>notes</a> | \n\
			<a href='%s'>sitemap</a> | \n\
			<a href='%s'>feed</a> | \n\
			<a href='https://git.vern.cc/techn0path/'>git</a>\n\
		</nav><hr>\n", \
		getRelativePath(dirname, sourcePath "/index.html"), \
		getRelativePath(dirname, sourcePath "/notes/index.html"), \
		getRelativePath(dirname, sourcePath "/sitemap.html"), \
		getRelativePath(dirname, sourcePath "/feed.atom"))
}

function genGemtextNavbar(filename, sourcePath, destPath) {
	if (filename == "-" || filename == "/dev/stdout/")
		return ""

	dirname = getDirname(filename)

	return sprintf("Navigation:\n\
=> %s home\n\
=> %s notes\n\
=> %s sitemap\n\
=> %s feed\n\
=> https://git.vern.cc/techn0path/ git\n\n", \
		getRelativePath(dirname, sourcePath "/index.gmi"), \
		getRelativePath(dirname, sourcePath "/notes/index.gmi"), \
		getRelativePath(dirname, sourcePath "/sitemap.gmi"), \
		getRelativePath(dirname, sourcePath "/feed.atom"))
}
