# Unix Notetaking
I have seen people (like Thomas Frank) use apps like Notion and Evernote for note-taking. Personally, I use plain text files.

Plain text files are simplier then note-taking apps. They do not have many moving parts, so they have less parts that can break, and less parts to keep track off. They are lightweight and take very little space.

They are flexible. You can arrange them however you want. They can be read by plenty of applications, unlike Notion or Evernote, which can only be used by those apps. Wait what?

Alright, so the files of Notion or Evernote can only be read by those applications.

They are independent of any particular operating system, environment, application, or ecosystem. Again, they don't need a third-party who can do whatever they want with you. 

A clever person could build scripts to do various things with their plain text notes.

For writing plain text notes, I only need a keyboard. This is great, and faster, since switching between a mouse and keyboard takes time.

Funny idea: you could also write plain text notes on paper. You could also write them using Notepad, Notepad++, Gedit, and more. As opposed to a word processor file, that could only be processed by a handful of applications.

When writing plain text notes, you should structure them using directories. Generally, you want a logical structure that can be extended, and is similar to how your brain organizes files. You could also organize by date. Generally though, you want to organize by category.

For example:
- notes
	- log
		- 2019
		- 2020
		- 2024
	- drafts
	- guides

Note that this is not necessarily my note directory structure. It is just an example.

You should also use atomic notes, meaning that each note is dedicated to a single topic. For example:
- recipes
	- beef
	- chicken
	- chicken sandwich
	- bread

instead of
- recipes.md

This makes them easier to manage. On the other hand, a single file is also easier to manage. It depends on the situation and your preferences.

You should use markup when writing plain text notes. For example:
```
# File
## Subheading
This is content

#### Subsubheading
This is related content
```

You could also have custom syntax:
```
% tags: food, tech
% description: How to make a blender.
```

Yes, I could possibly add this syntax to my website source files. That would be nice.

The end file could be:
```
# How to make a blender
% tags: guide, food, tech
% description: How to make a blender.

## Introduction
Making a blender....
```

Plain text files also work offline. If you are offline, you won't be constantly distracted by things (or distract yourself). This is also great if you are offgrid (like some people like Wrongthink or Luke Smith)

I also use plain text notes to write this website. I could add custom syntax if I wanted.

I have a drafts directory.

Overall, I don't understand why one would use or need complex applications like Notion or Evernote when we have Plain Text Files. It's simple.
