# Unix Notetaking
## Audience
Those who are using programs like Notion or Evernote. Mostly a non-technical audience, whom I assume don't use the command line, but have some basic computer skills.

## Topic
The advantages of plain text notes over other methods.

## Purpose
To convince the audience that plain text files are the best way to keep notes.

## Points
* benefits
	* plain text files are simple
		* low setup time
		* less failure points
		* lower cognitive load
	* plain text files are versatile
		* flexible directory structure
		* only a keyboard is needed
			* faster, as switching between a keyboard and mouse takes time
	* plain text files are portable
		* no dependencies
		* readable almost anywhere
		* does not rely on a third-party
		* offline
			* this increases focus, as the internet is a nice distraction
			* this is good for those who are living offgrid or at rural areas
* usage
	* markdown
	* custom formats
	* git
