# external variables
# - sourcePath

BEGIN {
	printf "%s", genGemtextNavbar(FILENAME, sourcePath)
}

{
	linkAddress = FILENAME
	gsub("^" sourcePath, "", linkAddress)

	pathComponents[1] = ""
	split(linkAddress, pathComponents, "/")

	oldFolderName = folderName
	folderName = pathComponents[1]

	if (oldFolderName != folderName) {
		printf "\n# %s\n", folderName
	}
}

/^#[^#]/ {
	match($0, "^#[ ]*")
	title = substr($0, RSTART + RLENGTH)
}

{
	printf "=> %s %s\n", linkAddress, title
	nextfile
}
